| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
System

# Method System.seteuid()

Method seteuid

  `int seteuid(int euid)`

Description

  Set the effective user ID to euid . If euid is `-1` the uid for "nobody" will be used.

Returns

  Returns the current errno.

Throws

  Throws an error if there is no "nobody" user when euid is `-1`.

Note

  This function isn't available on all platforms.